Module | FFI::Library
In: | lib/ffi/library.rb

### Methods

attach_function attach_variable callback enum enum_type enum_value extended ffi_convention ffi_lib ffi_lib_flags ffi_libraries find_type typedef

### Constants

CURRENT_PROCESS | = | FFI::CURRENT_PROCESS
LIBC | = | FFI::Platform::LIBC
FlagsMap | = | { :global => DynamicLibrary::RTLD_GLOBAL, :local => DynamicLibrary::RTLD_LOCAL, :lazy => DynamicLibrary::RTLD_LAZY, :now => DynamicLibrary::RTLD_NOW

### Public Class methods

extended(mod)

### Public Instance methods

attach_function(mname, a2, a3, a4=nil, a5 = nil)

Attach C function to this module.

attach_variable(mname, a1, a2 = nil)
callback(*args)
enum(*args)
enum_type(name)
enum_value(symbol)
ffi_convention(convention)
ffi_lib(*names)
ffi_lib_flags(*flags)
ffi_libraries()
find_type(t)
typedef(old, add, info=nil)

[Validate]